AuSync(3)

Name
AuSync - flush the output buffer and wait for all events and errors to be processed by the server

Synopsis
#include <audio/audiolib.h>

void AuSync(server, discard)
    AuServer *server;
    AuBool discard;

Arguments

server
    Specifies the connection to the audio server.

discard
    Specifies if events in the input queue are discarded.

Description
AySync flushes the output buffer, then waits until all pending requests have been received and processed by the server. If discard is AuTrue, all events on the input queue are discarded.

See Also
AuFlush.

audiolib - Network Audio System C Language Interface